%define	name	evas
%define	version	1.0.0
%define	release	1.%{cvsrel}.2mdk

%define cvsrel 20030730

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Enlightened Canvas Library
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/
Source: %{name}-%{cvsrel}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: imlib2 >= 1.0.4
Requires: %{libname} = %{version}-%{release}
BuildRequires: libimlib2_1-devel
BuildRequires: XFree86-devel
BuildRequires: eet-devel
BuildRequires: libedb1-devel
BuildRequires: libdirectfb0.9-devel >= 0.9.16


%description
Evas is an advanced canvas library, providing three backends for
rendering: X11 (without some features like alpha-blending), imlib2, or
OpenGL (hardware accelerated). Due to its simple API, evas can be
developed with rapidly, and cleanly.

Install evas if you want to develop applications against the only
hardware-accelerated canvas library, or if you want to try out the
applications under development.

%package -n %{libname}
Summary: Enlightened Canvas Libraries.
Group: System/Libraries
Provides: lib%{name} = %{version}

%description -n %{libname}
Evas canvas libraries

%package -n %{libname}-devel
Summary: Enlightened Canvas Library headers and development libraries.
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel

%description -n %{libname}-devel
Evas development headers and development libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name

%build

./autogen.sh --prefix=%{_prefix}

%configure --enable-software-x11 \
	--enable-image-loader-png \
	--enable-image-loader-jpeg \
	--enable-image-loader-eet \
	--enable-image-loader-edb \
	--enable-cpu-mmx \
	--enable-cpu-sse \
	--enable-cpu-c \
	--enable-scale-smooth \
	--enable-scale-sample \
	--enable-convert-8-rgb-332 \
	--enable-convert-8-rgb-666 \
	--enable-convert-8-rgb-232 \
	--enable-convert-8-rgb-222 \
	--enable-convert-8-rgb-221 \
	--enable-convert-8-rgb-121 \
	--enable-convert-8-rgb-111 \
	--enable-convert-16-rgb-565 \
	--enable-convert-16-rgb-555 \
	--enable-convert-16-rgb-rot-0 \
	--enable-convert-32-rgb-8888 \
	--enable-convert-32-rgbx-8888 \
	--enable-convert-32-bgr-8888 \
	--enable-convert-32-bgrx-8888 \
	--enable-convert-32-rgb-rot-0 --enable-gl-x11

%make

%install
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/evas_*
%{_datadir}/evas

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libevas.so.*
%_libdir/pkgconfig/*
%doc AUTHORS COPYING README doc/evas.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libevas.so
%{_libdir}/libevas.*a
%{_includedir}/*.h
%{_bindir}/evas-config

%changelog
* Thu Jul 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030730.2mdk
- fix buildrequires

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030730.1mdk
- 20030730

* Wed May 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030513.1mdk
- update to 20030513 CVS

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.pre5.2mdk
- buildrequires

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- 1.0.0_pre5

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.0-1mdk 
- the lost changelog was here

* Wed Aug 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-1mdk
- first mdk package from Yves Mettier <ymettier@libertysurf.fr>
- cleanup
- mdk adaptation
